/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 */

import {
  Button,
  StatusBar,
  StyleSheet,
  useColorScheme,
  View,
} from 'react-native';
import * as navigation from '@common/NavigationHelper.ts';
import { Apps } from '@common/NavigationHelper.ts';

function App() {
  const isDarkMode = useColorScheme() === 'dark';

  return (
    <View style={styles.container}>
      <StatusBar barStyle={isDarkMode ? 'light-content' : 'dark-content'} />
      <View style={{ height: 100 }} />
      <Button
        title={'进入互联网医院'}
        onPress={() => {
          navigation.pushByName('hospital', {});
        }}
      />
      <Button
        title={'进入医网签'}
        onPress={() => {
          navigation.pushByName(Apps.Ywq, {});
        }}
      />
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
});

export default App;
